Subject: Re: [PATCH] t/perf: use 'test_file_size' in more places

From: Junio C Hamano <[email-masked]>
Date: Fri, 22 Nov 2024 09:47:03 +0900

Taylor Blau <[email-masked]> writes:

> The perf test suite prefers to use test_file_size over 'wc -c' when
> inside of a test_size block. One advantage is that accidentally writign
> "wc -c file" (instead of "wc -c <file") does not inadvertently break the
> tests (since the former will include the filename in the output of wc).

Another advantage is, instead of reading through the file and
counting bytes, the helper uses stat() without reading.  For a
performance test that potentially deals with a large-ish file, it
probably counts (pun intended) more.

Will queue.  Thanks.